<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=Edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<meta name="apple-mobile-web-app-status-bar-style" content="black" />
	<meta name="keywords" content="">
	<meta name="description" content="">
	<meta name="format-detection" content="telephone=no"/>
	<title>照片分享</title>
	<link rel="stylesheet" type="text/css" href="../app_css/page.css">
</head>
<body>
	<div class="page page-photo-share">
		<header class="header">
			<h2><img src="../app_img/photo_share_tit.png"></h2>
			<span class="sign"></span>
		</header>
		<section class="page-content">
			<div class="wrapper photo-share-wrapper">
				<div class="upload-area">
					<div class="preview-img" id="preview-img"></div>
					<input type="file" id="file-input" />
				</div>
				<div class="submit-area">
					<a href="javascript:;" class="submit-btn"></a>
					<p class="tips">（照片一经上传,无法修改）</p>
				</div>
			</div>
		</section>
	</div>
<script>
    var img = document.getElementById("preview-img"); //获取显示图片的div元素
    var input = document.getElementById("file-input"); //获取选择图片的input元素

    //这边是判断本浏览器是否支持这个API。
    if(typeof FileReader==='undefined'){
        aaa.innerHTML = "抱歉，你的浏览器不支持 FileReader";
        input.setAttribute('disabled','disabled');
    }else{
        input.addEventListener('change',readFile,false); //如果支持就监听改变事件，一旦改变了就运行readFile函数。
    }


    function readFile(){
        var file = this.files[0]; //获取file对象
        //判断file的类型是不是图片类型。
        if(!/image\/\w+/.test(file.type)){
            alert("文件必须为图片！");
            return false;
        }

        var reader = new FileReader(); //声明一个FileReader实例
        reader.readAsDataURL(file); //调用readAsDataURL方法来读取选中的图像文件
        //最后在onload事件中，获取到成功读取的文件内容，并以插入一个img节点的方式显示选中的图片
        reader.onload = function(e){
            img.innerHTML = '<img src="'+this.result+'" alt=""/>'
        }
    }
</script>
</body>
</html>